For the complete documentation index, see llms.txt. This page is also available as Markdown.

Positions

Query Positions

get
/info/position/list
Query parameters
userAddrstringRequired
symbolinteger · int64Optional
posModeintegerOptional

Position mode (1=ONE_WAY, 2=HEDGE)

includeZerobooleanOptionalDefault: false
Responses
200

Position list

application/json
codeintegerOptional
get/info/position/list
const resp = await fetch(
  `${BASE_URL}/info/position/list?userAddr=0xabc...`
);
200

Position list

{
  "code": 1,
  "data": [
    {
      "userAddr": "text",
      "symbolCode": 1,
      "leverage": "text",
      "longSize": "text",
      "shortSize": "text",
      "longEntryValue": "text",
      "shortEntryValue": "text",
      "positionMode": "text",
      "positionMarginMode": "text",
      "assignedPosBalance": "text",
      "unrealizedPnl": "text",
      "cumRealizedPnl": "text",
      "curMarkPx": "text",
      "cumTransactionFee": "text",
      "createTime": 1,
      "blockTime": 1
    }
  ]
}

Last updated